## PhoshProximity

PhoshProximity — Proximity sensor handling

## Functions

PhoshProximity * | phosh_proximity_new ()

## Properties

PhoshCallsManager * | calls-manager | Read / Write / Construct Only
PhoshSensorProxyManager * | sensor-proxy-manager | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_PROXIMITY
| PhoshProximity

## Object Hierarchy

        GObject
        ╰── PhoshProximity

## Description

PhoshProximity handles enabling and disabling the proximity detection based on e.g. active calls.

## Functions

### phosh_proximity_new ()

    PhoshProximity *
    phosh_proximity_new (PhoshSensorProxyManager *sensor_proxy_manager,
                         PhoshCallsManager *calls_manager);

## Types and Values

### PHOSH_TYPE_PROXIMITY

    #define PHOSH_TYPE_PROXIMITY (phosh_proximity_get_type ())

### PhoshProximity

    typedef struct _PhoshProximity PhoshProximity;

## Property Details

### The `“calls-manager”` property

      “calls-manager”            PhoshCallsManager *

Owner: PhoshProximity

Flags: Read / Write / Construct Only

### The `“sensor-proxy-manager”` property

      “sensor-proxy-manager”     PhoshSensorProxyManager *

The object inerfacing with iio-sensor-proxy.

Owner: PhoshProximity

Flags: Read / Write / Construct Only